#if !defined(AFX_WORKSPACEDLG_H__3C7EFB24_BDE6_4CB4_84AA_3D3D09615B30__INCLUDED_)
#define AFX_WORKSPACEDLG_H__3C7EFB24_BDE6_4CB4_84AA_3D3D09615B30__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// WorkspaceDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CWorkspaceDlg dialog

class CWorkspaceDlg : public CDialog
{
// Construction
public:
	CWorkspaceDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CWorkspaceDlg)
	enum { IDD = IDD_DIALOG_WORKSPACE };
	CListBox	m_ctrlList;
	CString	m_editNPCIP;
	CString	m_editFieldIP;
	short	m_editFieldPort;
	short	m_editNPCPort;
	short	m_editXSize;
	short	m_editYSize;
	CString	m_staticName;
	short	m_editFieldPortUDP;
	short	m_editNPCPortUDP;
	short	m_editTileSetIndex;
	float	m_editHeightMax;
	float	m_editHeightMin;
	float	m_editWaterHeight;
	char	m_strProjectMapName[40];
	BYTE	m_bSelectIndex;
	//}}AFX_DATA

	void UpdateWorkspace();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CWorkspaceDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CWorkspaceDlg)
	virtual void OnCancel();
	virtual void OnOK();
	afx_msg void OnSelchangeList();
	afx_msg void OnDblclkList();
	afx_msg void OnButtonUpdate();
	afx_msg void OnButtonDeleteProject();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_WORKSPACEDLG_H__3C7EFB24_BDE6_4CB4_84AA_3D3D09615B30__INCLUDED_)
